Hello,

Please read Info APAR ii12963 before following this advice. It is NOT
required for many BPCS releases, and is NOT recommended on releases where it
is not required. The issue of the QAQQINI file is discussed thoroughly in
the Info APAR, and it is required that you follow the Info APAR when
upgrading your OS/400 release if you have BPCS.

Thanks,

Genyphyr Novak
SSA GT

----- Original Message -----
From: <FWSoftware@xxxxxxx>
To: <bpcs-l@xxxxxxxxxxxx>
Sent: Friday, April 04, 2003 2:53 PM
Subject: RE: BPCS 5.1 Issues upgrading to OS/400 V5R1


> The Biggest issue is an SQL error when the SQLCODE stops supressing
errors. If the PTF you loaded doesn't do the trick try the following to
system file QAQQINI:
>
> 1) CRTDUPOBJ of QSYS/QAQQINI original template into QUSRSYS library. This
step can be skipped if the file already exists (or the command will fail and
the error can be ignored):
> > CRTDUPOBJ OBJ(QAQQINI) FROMLIB(QSYS)
> OBJTYPE(*FILE) TOLIB(QUSRSYS) DATA)*YES)
>
> >From a Interactive SQL session enter:
> 2)> DELETE FROM QUSRSYS/QAQQINI
> WHERE QQPARM='SQL_SUPPRESS_WARNINGS'
>
> 3)> INSERT INTO QUSRSYS/QAQQINI
> VALUES('SQL_SUPPRESS_WARNINGS', '*YES', default)
>
> Note, by default, all jobs on the system will load the
> QAQQINI file from library QUSRSYS. Individual jobs can
> change the library used to load this file by using the
> CHGQRYA (Change Query Attributes) command and the QRYOPTLIB
> parameter.
>
> Good Luck,
> Dave Trevino



This thread ...

Replies:

Follow On AppleNews
Return to Archive home page | Return to MIDRANGE.COM home page

This mailing list archive is Copyright 1997-2019 by midrange.com and David Gibbs as a compilation work. Use of the archive is restricted to research of a business or technical nature. Any other uses are prohibited. Full details are available on our policy page. If you have questions about this, please contact [javascript protected email address].